## ansible-runner 1.4.6

=== Makefile ===
PYTHON ?= python
ifeq ($(origin VIRTUAL_ENV), undefined)
    DIST_PYTHON ?= pipenv run $(PYTHON)
else
    DIST_PYTHON ?= $(PYTHON)
endif

NAME = ansible-runner
IMAGE_NAME ?= $(NAME)
PIP_NAME = ansible_runner
VERSION := $(shell $(DIST_PYTHON) setup.py --version)
ifeq ($(OFFICIAL),yes)
    RELEASE ?= 1
else
    ifeq ($(origin RELEASE), undefined)
        RELEASE := 0.git$(shell date -u +%Y%m%d%H).$(shell git rev-parse --short HEAD)
    endif
endif

# RPM build variables
MOCK_BIN ?= mock
MOCK_CONFIG ?= epel-7-x86_64

RPM_NVR = $(NAME)-$(VERSION)-$(RELEASE)$(RPM_DIST)
RPM_DIST ?= $(shell rpm --eval '%{?dist}' 2>/dev/null)
RPM_ARCH ?= $(shell rpm --eval '%{_arch}' 2>/dev/null)

# Provide a fallback value for RPM_ARCH
ifeq ($(RPM_ARCH),)
    RPM_ARCH = $(shell uname -m)
endif

# Debian Packaging
DEBUILD_BIN ?= debuild
DEBUILD_OPTS ?=
DPUT_BIN ?= dput
DPUT_OPTS ?=
DEB_DIST ?= xenial

GPG_KEY_ID ?=

ifeq ($(origin GPG_SIGNING_KEY), undefined)
    GPG_SIGNING_KEY = /dev/null
endif

ifeq ($(OFFICIAL),yes)
    # Sign official builds
    DEBUILD_OPTS += -k$(GPG_KEY_ID)
else
    # Do not sign unofficial builds
    DEBUILD_OPTS += -uc -us
endif

DEBUILD = $(DEBUILD_BIN) $(DEBUILD_OPTS)
DEB_PPA ?= mini_dinstall
DEB_ARCH ?= amd64
DEB_NVR = $(NAME)_$(VERSION)-$(RELEASE)~$(DEB_DIST)
DEB_NVRA = $(DEB_NVR)_$(DEB_ARCH)
DEB_NVRS = $(DEB_NVR)_source
DEB_TAR_NAME=$(NAME)-$(VERSION)
DEB_TAR_FILE=$(NAME)_$(VERSION).orig.tar.gz
DEB_DATE := $(shell LC_TIME=C date +"%a, %d %b %Y %T %z")

.PHONY: clean dist sdist dev shell image devimage rpm srpm docs deb debian deb-src

clean:
	rm -rf dist
	rm -rf build
	rm -rf ansible-runner.egg-info
	rm -rf rpm-build
	rm -rf deb-build
	find . -type f -regex ".*\py[co]$$" -delete

dist:
	$(DIST_PYTHON) setup.py bdist_wheel --universal

sdist: dist/$(NAME)-$(VERSION).tar.gz

dist/$(NAME)-$(VERSION).tar.gz:
	$(DIST_PYTHON) setup.py sdist

dev:
	pipenv install

shell:
	pipenv shell

test:
	tox

docs:
	cd docs && make html

image:
	docker pull centos:8
	docker build --rm=true -t $(IMAGE_NAME) .

devimage:
	docker pull centos:8
	docker build --rm=true -t $(IMAGE_NAME)-dev -f Dockerfile.dev .

rpm:
	docker-compose -f packaging/rpm/docker-compose.yml \
	  run --rm -e RELEASE=$(RELEASE) rpm-builder "make mock-rpm"

srpm:
	docker-compose -f packaging/rpm/docker-compose.yml \
	  run --rm -e RELEASE=$(RELEASE) rpm-builder "make mock-srpm"

mock-rpm: rpm-build/$(RPM_NVR).$(RPM_ARCH).rpm

rpm-build/$(RPM_NVR).$(RPM_ARCH).rpm: rpm-build/$(RPM_NVR).src.rpm
	$(MOCK_BIN) -r $(MOCK_CONFIG) --arch=noarch \
	  --resultdir=rpm-build \
	  --rebuild rpm-build/$(RPM_NVR).src.rpm

mock-srpm: rpm-build/$(RPM_NVR).src.rpm

rpm-build/$(RPM_NVR).src.rpm: dist/$(NAME)-$(VERSION).tar.gz rpm-build rpm-build/$(NAME).spec
	$(MOCK_BIN) -r $(MOCK_CONFIG) --arch=noarch \
	  --resultdir=rpm-build \
	  --spec=rpm-build/$(NAME).spec \
	  --sources=rpm-build \
	  --buildsrpm

rpm-build/$(NAME).spec:
	ansible -c local -i localhost, all \
	    -m template \
	    -a "src=packaging/rpm/$(NAME).spec.j2 dest=rpm-build/$(NAME).spec" \
	    -e version=$(VERSION) \
	    -e release=$(RELEASE)

rpm-build: sdist
	mkdir -p $@
	cp dist/$(NAME)-$(VERSION).tar.gz rpm-build/$(NAME)-$(VERSION)-$(RELEASE).tar.gz

deb:
	docker-compose -f packaging/debian/docker/docker-compose.yml \
		run --rm \
		-e OFFICIAL=$(OFFICIAL) -e DEB_DIST=$(DEB_DIST) -e RELEASE=$(RELEASE) \
		-e GPG_KEY_ID=$(GPG_KEY_ID) -e GPG_SIGNING_KEY=$(GPG_SIGNING_KEY) \
		deb-builder "make debian"

ifeq ($(OFFICIAL),yes)
debian: gpg-import deb-build/$(DEB_NVRA).deb
gpg-import:
	gpg --import /signing_key.asc
else
debian: deb-build/$(DEB_NVRA).deb
endif

deb-src: deb-build/$(DEB_NVR).dsc

deb-build/$(DEB_NVRA).deb: deb-build/$(DEB_NVR).dsc
	cd deb-build/$(NAME)-$(VERSION) && $(DEBUILD) -b

deb-build/$(DEB_NVR).dsc: deb-build/$(NAME)-$(VERSION)
	cd deb-build/$(NAME)-$(VERSION) && $(DEBUILD) -S

deb-build/$(NAME)-$(VERSION): dist/$(NAME)-$(VERSION).tar.gz
	mkdir -p $(dir $@)
	@if [ "$(OFFICIAL)" != "yes" ] ; then \
	  tar -C deb-build/ -xvf dist/$(NAME)-$(VERSION).tar.gz ; \
	  cd deb-build && tar czf $(DEB_TAR_FILE) $(NAME)-$(VERSION) ; \
	else \
	  cp -a dist/$(NAME)-$(VERSION).tar.gz deb-build/$(DEB_TAR_FILE) ; \
	fi
	cd deb-build && tar -xf $(DEB_TAR_FILE)
	cp -a packaging/debian deb-build/$(NAME)-$(VERSION)/
	sed -ie "s|%VERSION%|$(VERSION)|g;s|%RELEASE%|$(RELEASE)|;s|%DEB_DIST%|$(DEB_DIST)|g;s|%DATE%|$(DEB_DATE)|g" $@/debian/changelog

print-%:
	@echo $($*)

=== debian/changelog ===
ansible-runner (1.4.6-1) sid; urgency=medium

  * Initial release (Closes: #950829)

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sat, 28 Nov 2020 08:50:54 +0100

=== debian/control ===
Source: ansible-runner
Section: net
Priority: optional
Maintainer: Sakirnth Nagarasa <sakirnth@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-mock,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://www.ansible.com
Vcs-Browser: https://salsa.debian.org/saki-guest/ansible-runner
Vcs-Git: https://salsa.debian.org/saki-guest/ansible-runner.git

Package: python-ansible-runner-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: library that interfaces with Ansible (docs)
 Ansible Runner is a tool and python library that helps when interfacing
 with Ansible directly or as part of another system whether that be
 through a container image interface, as a standalone tool, or as a
 Python module that can be imported.
 .
 This package provides the Sphinx generated documentation for Ansible Runner.

Package: python3-ansible-runner
Architecture: all
Depends:
 ansible,
 bubblewrap,
 python3-distutils,
 sshpass,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ansible-runner-doc,
Description: library that interfaces with Ansible (Python 3.x)
 Ansible Runner is a tool and python library that helps when interfacing
 with Ansible directly or as part of another system whether that be
 through a container image interface, as a standalone tool, or as a
 Python module that can be imported.
 .
 This package contains the Python 3.x module.

## ansible-runner 2.1.1

=== requirements.txt ===
pexpect>=4.5
python-daemon
pyyaml
six

=== test/requirements.txt ===
pytest
pytest-mock
pytest-timeout
pytest-xdist
flake8
yamllint

=== debian/changelog ===
ansible-runner (2.1.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.1.1.
  * Closes bug CVE-2021-3701.
  * Updating build depends.
  * Updating debian/copyright.
  * Adding intersphinx patch and a Build-Depends-Indep that it works.
  * Changing homepage url.
  * Correcting changelog typo for 1.4.6-1.
  * Removing python3-ansible-runner.lintian-overrides.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sat, 20 Nov 2021 17:33:39 +0100

ansible-runner (1.4.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload to allow testing migration.

  [ Sakirnth Nagarasa ]
  * Changing VCS path in debian/control.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Oct 2021 13:17:54 -0400

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,21 @@
  debhelper-compat (= 13),
  dh-python,
  python3-all,
+ python3-daemon,
  python3-mock,
+ python3-pbr,
+ python3-pexpect,
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
+ python3-yaml,
+Build-Depends-Indep:
+ python3-doc,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
-Homepage: https://www.ansible.com
-Vcs-Browser: https://salsa.debian.org/saki-guest/ansible-runner
-Vcs-Git: https://salsa.debian.org/saki-guest/ansible-runner.git
+Standards-Version: 4.6.0
+Homepage: https://github.com/ansible/ansible-runner
+Vcs-Browser: https://salsa.debian.org/saki/ansible-runner
+Vcs-Git: https://salsa.debian.org/saki/ansible-runner.git
 
 Package: python-ansible-runner-doc
 Architecture: all

## ansible-runner 2.1.3

=== debian/changelog ===
ansible-runner (2.1.3-3) sid; urgency=medium

  * d/contol:
    - Marking python-ansible-runner-doc as Multi-Arch foreign.
    - Increment Standards-Version.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Thu, 23 Jun 2022 16:34:38 +0200

ansible-runner (2.1.3-2) sid; urgency=medium

  * Uploading to sid.
  * d/changelog:
    - Correcting wrong patch description for 2.1.3-1.
    - Correcting wrong bug closing statement for 2.1.3-1.
  * Removing deprecated resource profiling capability which used
    cgroups (Closes: #993371).

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sun, 24 Apr 2022 17:45:17 +0200

ansible-runner (2.1.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.1.3.
  * Adding patch to remove resource profiling capability.
  * Removing deprecated resource profiling capability which used
    cgroups (Closes: #993371).
  * d/copyright: Correcting copyright years and a copyright owner mistake.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sun, 24 Apr 2022 10:37:07 +0200

=== debian/control ===
--- 
+++ 
@@ -17,13 +17,14 @@
 Build-Depends-Indep:
  python3-doc,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/ansible/ansible-runner
 Vcs-Browser: https://salsa.debian.org/saki/ansible-runner
 Vcs-Git: https://salsa.debian.org/saki/ansible-runner.git
 
 Package: python-ansible-runner-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${misc:Depends},

## ansible-runner 2.3.1

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,15 @@
-PYTHON ?= python
-ifeq ($(origin VIRTUAL_ENV), undefined)
-    DIST_PYTHON ?= pipenv run $(PYTHON)
-else
-    DIST_PYTHON ?= $(PYTHON)
-endif
+PYTHON ?= python3
+
+CONTAINER_ENGINE ?= docker
 
 NAME = ansible-runner
-IMAGE_NAME ?= $(NAME)
+IMAGE_NAME ?= quay.io/ansible/ansible-runner
+IMAGE_NAME_STRIPPED := $(word 1,$(subst :, ,$(IMAGE_NAME)))
+GIT_BRANCH ?= $(shell git rev-parse --abbrev-ref HEAD)
+ANSIBLE_BRANCH ?=
+ANSIBLE_VERSIONS ?= stable-2.9 stable-2.10 stable-2.11
 PIP_NAME = ansible_runner
-VERSION := $(shell $(DIST_PYTHON) setup.py --version)
+VERSION := $(shell $(PYTHON) setup.py --version)
 ifeq ($(OFFICIAL),yes)
     RELEASE ?= 1
 else
@@ -35,7 +36,6 @@
 DEBUILD_OPTS ?=
 DPUT_BIN ?= dput
 DPUT_OPTS ?=
-DEB_DIST ?= xenial
 
 GPG_KEY_ID ?=
 
@@ -61,7 +61,7 @@
 DEB_TAR_FILE=$(NAME)_$(VERSION).orig.tar.gz
 DEB_DATE := $(shell LC_TIME=C date +"%a, %d %b %Y %T %z")
 
-.PHONY: clean dist sdist dev shell image devimage rpm srpm docs deb debian deb-src
+.PHONY: test clean dist sdist dev shell image devimage rpm srpm docs deb debian deb-src
 
 clean:
 	rm -rf dist
@@ -70,20 +70,20 @@
 	rm -rf rpm-build
 	rm -rf deb-build
 	find . -type f -regex ".*\py[co]$$" -delete
+	rm -rf $(shell find test/ -type d -name "artifacts")
 
-dist:
-	$(DIST_PYTHON) setup.py bdist_wheel --universal
+dist: sdist wheel
+
+WHEEL_NAME = $(subst -,_,$(NAME))
+wheel: dist/$(WHEEL_NAME)-$(VERSION)-py3-none-any.whl
+
+dist/$(WHEEL_NAME)-$(VERSION)-py3-none-any.whl:
+	$(PYTHON) setup.py bdist_wheel
 
 sdist: dist/$(NAME)-$(VERSION).tar.gz
 
 dist/$(NAME)-$(VERSION).tar.gz:
-	$(DIST_PYTHON) setup.py sdist
-
-dev:
-	pipenv install
-
-shell:
-	pipenv shell
+	$(PYTHON) setup.py sdist
 
 test:
 	tox
@@ -91,20 +91,32 @@
 docs:
 	cd docs && make html
 
-image:
-	docker pull centos:8
-	docker build --rm=true -t $(IMAGE_NAME) .
+image: sdist
+	$(CONTAINER_ENGINE) build --rm=true \
+		--build-arg ANSIBLE_BRANCH=$(ANSIBLE_BRANCH) \
+		-t $(IMAGE_NAME) -f Dockerfile .
+	$(CONTAINER_ENGINE) tag $(IMAGE_NAME) $(IMAGE_NAME_STRIPPED):$(GIT_BRANCH)
 
-devimage:
-	docker pull centos:8
-	docker build --rm=true -t $(IMAGE_NAME)-dev -f Dockerfile.dev .
+image_matrix: image
+	for version in $(ANSIBLE_VERSIONS) ; do \
+		ANSIBLE_BRANCH=$$version GIT_BRANCH=$$version-$(GIT_BRANCH) make image ; \
+	done
+	$(CONTAINER_ENGINE) tag $(IMAGE_NAME) $(IMAGE_NAME_STRIPPED):$(GIT_BRANCH)
+
+image_matrix_publish:
+	for version in $(ANSIBLE_VERSIONS) ; do \
+		$(CONTAINER_ENGINE) push $(IMAGE_NAME_STRIPPED):$$version.$(GIT_BRANCH) ; \
+	done
+	$(CONTAINER_ENGINE) push $(IMAGE_NAME_STRIPPED):$(GIT_BRANCH)
 
 rpm:
-	docker-compose -f packaging/rpm/docker-compose.yml \
+	MOCK_CONFIG=$(MOCK_CONFIG) docker-compose -f packaging/rpm/docker-compose.yml build
+	MOCK_CONFIG=$(MOCK_CONFIG) docker-compose -f packaging/rpm/docker-compose.yml \
 	  run --rm -e RELEASE=$(RELEASE) rpm-builder "make mock-rpm"
 
 srpm:
-	docker-compose -f packaging/rpm/docker-compose.yml \
+	MOCK_CONFIG=$(MOCK_CONFIG) docker-compose -f packaging/rpm/docker-compose.yml build
+	MOCK_CONFIG=$(MOCK_CONFIG) docker-compose -f packaging/rpm/docker-compose.yml \
 	  run --rm -e RELEASE=$(RELEASE) rpm-builder "make mock-srpm"
 
 mock-rpm: rpm-build/$(RPM_NVR).$(RPM_ARCH).rpm
@@ -137,7 +149,7 @@
 deb:
 	docker-compose -f packaging/debian/docker/docker-compose.yml \
 		run --rm \
-		-e OFFICIAL=$(OFFICIAL) -e DEB_DIST=$(DEB_DIST) -e RELEASE=$(RELEASE) \
+		-e OFFICIAL=$(OFFICIAL) -e RELEASE=$(RELEASE) \
 		-e GPG_KEY_ID=$(GPG_KEY_ID) -e GPG_SIGNING_KEY=$(GPG_SIGNING_KEY) \
 		deb-builder "make debian"
 
@@ -167,7 +179,7 @@
 	fi
 	cd deb-build && tar -xf $(DEB_TAR_FILE)
 	cp -a packaging/debian deb-build/$(NAME)-$(VERSION)/
-	sed -ie "s|%VERSION%|$(VERSION)|g;s|%RELEASE%|$(RELEASE)|;s|%DEB_DIST%|$(DEB_DIST)|g;s|%DATE%|$(DEB_DATE)|g" $@/debian/changelog
+	sed -ie "s|%VERSION%|$(VERSION)|g;s|%RELEASE%|$(RELEASE)|g;s|%DATE%|$(DEB_DATE)|g" $@/debian/changelog
 
 print-%:
 	@echo $($*)

=== requirements.txt ===
pexpect>=4.5
packaging
python-daemon
pyyaml
six

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = ansible-runner
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
ansible-runner (2.3.1-2) sid; urgency=medium

  * d/control: Updating Standards-Version.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Wed, 04 Jan 2023 07:48:44 +0100

ansible-runner (2.3.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.3.1.
  * Removing 0002-purge-deprecated-resource-profiling-capability.patch
    it is already in upstream.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sun, 13 Nov 2022 17:17:57 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Build-Depends-Indep:
  python3-doc,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/ansible/ansible-runner
 Vcs-Browser: https://salsa.debian.org/saki/ansible-runner
 Vcs-Git: https://salsa.debian.org/saki/ansible-runner.git

## ansible-runner 2.3.4

=== debian/changelog ===
ansible-runner (2.3.4-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.3.4.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Fri, 08 Sep 2023 19:17:27 +0200

## ansible-runner 2.3.6

=== requirements.txt ===
pexpect>=4.5
packaging
python-daemon
pyyaml
six
importlib-metadata >= 4.6, < 6.3; python_version < '3.10' # enable `groups` arg to entry_points missing in 3.9 stdlib importlib.metadata

=== debian/changelog ===
ansible-runner (2.3.6-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.3.6.
  * d/control:
    - Removing Depends on python3-distutils (Closes: #1065827).
    - Changing Depends from ansible to ansible-core only binaries from there are
      necessary (Closes: #1067129).
  * d/changelog: Correcting typo for 2.1.3-3.
  * d/copyright: Updating for year 2024.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Mon, 25 Mar 2024 15:05:20 +0100

=== debian/control ===
--- 
+++ 
@@ -40,9 +40,8 @@
 Package: python3-ansible-runner
 Architecture: all
 Depends:
- ansible,
+ ansible-core,
  bubblewrap,
- python3-distutils,
  sshpass,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ansible-runner

%:
	dh ${@} --buildsystem=pybuild --with python3,sphinxdoc

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/python3-$(PYBUILD_NAME)/usr/lib/python3/dist-packages PYTHON=python3 python3 -m sphinx -b html docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:
	# disabled, testsuite doesn't work yet.

## ansible-runner 2.4.0

=== docs/requirements.txt ===
alabaster==0.7.13
ansible-core==2.14.5
ansible-pygments==0.1.1
babel==2.12.1
certifi==2023.7.22
cffi==1.15.1
charset-normalizer==3.1.0
cryptography>=42.0.4
docutils==0.18.1
idna==3.4
imagesize==1.4.1
jinja2==3.1.2
markupsafe==2.1.2
packaging==23.1
pexpect==4.8.0
ptyprocess==0.7.0
pycparser==2.21
pygments==2.15.1
pyyaml==6.0
requests==2.28.2
resolvelib==0.8.1
snowballstemmer==2.2.0
sphinx==6.2.1
sphinx-ansible-theme==0.10.1
sphinx-rtd-theme==1.2.0
sphinxcontrib-applehelp==1.0.4
sphinxcontrib-devhelp==1.0.2
sphinxcontrib-htmlhelp==2.0.1
sphinxcontrib-jquery==4.1
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.3
sphinxcontrib-serializinghtml==1.1.5
urllib3==1.26.18

=== debian/changelog ===
ansible-runner (2.4.0-0.1) unstable; urgency=medium

  + Non-maintainer upload.
  * New upstream version 2.4.0 (Closes: #1073366, #1068087)
  * Add dependency on pybuild-plugin-pyproject
  * Remove dependency on python3-mock (Closes: #1068086)
  * Add watch file
  * Add gbp.conf matching existing repos
  * Use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Fri, 21 Jun 2024 08:15:17 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Sakirnth Nagarasa <sakirnth@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-daemon,
- python3-mock,
  python3-pbr,
  python3-pexpect,
  python3-pytest,

## ansible-runner 2.4.1

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.9
# by the following command:
#
#    pip-compile requirements.in
#
alabaster==0.7.16
    # via sphinx
ansible-core==2.15.12
    # via -r requirements.in
ansible-pygments==0.1.1
    # via sphinx-ansible-theme
babel==2.16.0
    # via sphinx
certifi==2024.8.30
    # via requests
cffi==1.17.1
    # via cryptography
charset-normalizer==3.3.2
    # via requests
cryptography==44.0.1
    # via ansible-core
docutils==0.20.1
    # via
    #   sphinx
    #   sphinx-rtd-theme
idna==3.8
    # via requests
imagesize==1.4.1
    # via sphinx
importlib-metadata==8.4.0
    # via sphinx
importlib-resources==5.0.7
    # via ansible-core
jinja2==3.1.5
    # via
    #   ansible-core
    #   sphinx
markupsafe==2.1.5
    # via jinja2
packaging==24.1
    # via
    #   ansible-core
    #   sphinx
pycparser==2.22
    # via cffi
pygments==2.18.0
    # via
    #   ansible-pygments
    #   sphinx
pyyaml==6.0.2
    # via ansible-core
requests==2.32.3
    # via sphinx
resolvelib==1.0.1
    # via ansible-core
snowballstemmer==2.2.0
    # via sphinx
sphinx==7.4.7
    # via
    #   -r requirements.in
    #   sphinx-ansible-theme
    #   sphinx-rtd-theme
    #   sphinxcontrib-jquery
sphinx-ansible-theme==0.10.3
    # via -r requirements.in
sphinx-rtd-theme==2.0.0
    # via sphinx-ansible-theme
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jquery==4.1
    # via sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
tomli==2.0.1
    # via sphinx
urllib3==2.2.2
    # via requests
zipp==3.20.1
    # via importlib-metadata

=== test/requirements.txt ===
mypy==1.6.0
pylint==3.0.1
pytest==8.1.1
pytest-cov
pytest-mock
pytest-timeout
pytest-xdist==2.5.0
types-pyyaml
flake8==6.1.0
yamllint==1.32.0
cryptography

=== debian/changelog ===
ansible-runner (2.4.1-1) unstable; urgency=medium

  * d/gbp.conf: Adding debian/unstable as default branch.
  * d/control: Updating Standards-Version.
  * d/copyright:
    - Updating years and author for debian/*.
    - Fixing file reference path.
  * d/changelog:
    - Changing naming sid to unstable.
    - Norming entry for 2.4.0-0.1.
  * New upstream version 2.4.1.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Wed, 02 Apr 2025 15:07:04 +0200

ansible-runner (2.3.6-1) unstable; urgency=medium

  * Uploading to unstable.
  * Merging upstream version 2.3.6.
  * d/control:
    - Removing Depends on python3-distutils (Closes: #1065827).
    - Changing Depends from ansible to ansible-core only binaries from there are
      necessary (Closes: #1067129).
  * d/changelog: Correcting typo for 2.1.3-3.
  * d/copyright: Updating for year 2024.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Mon, 25 Mar 2024 15:05:20 +0100

ansible-runner (2.3.4-1) unstable; urgency=medium

  * Uploading to unstable.
  * Merging upstream version 2.3.4.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Tue, 12 Sep 2023 16:20:57 +0200

ansible-runner (2.3.1-2) unstable; urgency=medium

  * d/control: Updating Standards-Version.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Wed, 04 Jan 2023 07:48:44 +0100

ansible-runner (2.3.1-1) unstable; urgency=medium

  * Uploading to unstable.
  * Merging upstream version 2.3.1.
  * Removing 0002-purge-deprecated-resource-profiling-capability.patch
    it is already in upstream.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sun, 13 Nov 2022 17:17:57 +0100

ansible-runner (2.1.3-3) unstable; urgency=medium

  * d/control:
    - Marking python-ansible-runner-doc as Multi-Arch foreign.
    - Increment Standards-Version.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Thu, 23 Jun 2022 16:34:38 +0200

ansible-runner (2.1.3-2) unstable; urgency=medium

  * Uploading to unstable.
  * d/changelog:
    - Correcting wrong patch description for 2.1.3-1.
    - Correcting wrong bug closing statement for 2.1.3-1.
  * Removing deprecated resource profiling capability which used
    cgroups (Closes: #993371).

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sun, 24 Apr 2022 17:45:17 +0200

ansible-runner (2.1.3-1) unstable; urgency=medium

  * Uploading to unstable.
  * Merging upstream version 2.1.3.
  * Adding patch to remove resource profiling capability.
  * Removing deprecated resource profiling capability which used
    cgroups (Closes: #993371).
  * d/copyright: Correcting copyright years and a copyright owner mistake.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sun, 24 Apr 2022 10:37:07 +0200

ansible-runner (2.1.1-1) unstable; urgency=medium

  * Uploading to unstable.
  * Merging upstream version 2.1.1.
  * Closes bug CVE-2021-3701.
  * Updating build depends.
  * Updating debian/copyright.
  * Adding intersphinx patch and a Build-Depends-Indep that it works.
  * Changing homepage url.
  * Correcting changelog typo for 1.4.6-1.
  * Removing python3-ansible-runner.lintian-overrides.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sat, 20 Nov 2021 17:33:39 +0100

ansible-runner (1.4.6-1) unstable; urgency=medium

  * Initial release (Closes: #950829).

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sat, 28 Nov 2020 08:50:54 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Build-Depends-Indep:
  python3-doc,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/ansible/ansible-runner
 Vcs-Browser: https://salsa.debian.org/saki/ansible-runner
 Vcs-Git: https://salsa.debian.org/saki/ansible-runner.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ansible-runner

%:
	dh ${@} --buildsystem=pybuild --with sphinxdoc

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=src python3 -m sphinx -b html docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:
	# disabled, testsuite doesn't work yet.

=== debian/watch ===
version=4
https://github.com/ansible/ansible-runner/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@
